## ros-dashing-launch 0.8.7

=== debian/changelog ===
ros-dashing-launch (0.8.7-1bionic) bionic; urgency=high

  * install package marker and manifest (#323 <https://github.com/ros2/launch/issues/323>) (#343 <https://github.com/ros2/launch/issues/343>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
    (cherry picked from commit 4eb26874260bab821863d28e52fbcecd25553f07)
  * Avoid registering atexit on windows (#297 <https://github.com/ros2/launch/issues/297>) (#329 <https://github.com/ros2/launch/issues/329>)
    Signed-off-by: ivanpauno <mailto:ivanpauno@ekumenlabs.com>
  * Contributors: Dirk Thomas, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Oct 2019 07:00:00 -0000

ros-dashing-launch (0.8.6-1bionic) bionic; urgency=high

  * Address additional syntax issues with Python 3.5. (#328 <https://github.com/ros2/launch/issues/328>)
  * Restore support for Python 3.5 (#324 <https://github.com/ros2/launch/issues/324>)
  * Contributors: Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-launch (0.8.5-1bionic) bionic; urgency=high

  * Add support for conditions in IncludeLaunchDescription actions (#304 <https://github.com/ros2/launch/issues/304>)
  * Contributors: Michel Hidalgo, chapulina

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 22 Aug 2019 07:00:00 -0000

ros-dashing-launch (0.8.4-1bionic) bionic; urgency=high

  * Fix build_cop #214 <https://github.com/ros2/launch/issues/214> (#259 <https://github.com/ros2/launch/issues/259>)
  * Fix get_launch_arguments to not crash on conditional sub entities (#257 <https://github.com/ros2/launch/issues/257>)
  * Use stderr logger instead of buffer (#258 <https://github.com/ros2/launch/issues/258>)
  * Line buffering of logger output (#255 <https://github.com/ros2/launch/issues/255>)
  * Contributors: Jacob Perron, Peter Baughman, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-launch (0.8.3-1bionic) bionic; urgency=high

  * Changed IncludeLaunchDescription to not check declared arguments of subentities in order to work around an issue preventing nested arugments until a better fix can be done. (#249 <https://github.com/ros2/launch/issues/249>)
  * Fixed a bug where logging messages could be duplicated and improved logging's apperance on the CLI. (#250 <https://github.com/ros2/launch/issues/250>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-launch (0.8.2-1bionic) bionic; urgency=high

  * Moved some common code to LaunchDescriptionSource (#234 <https://github.com/ros2/launch/issues/234>)
  * Please flake8 on launch package. (#241 <https://github.com/ros2/launch/issues/241>)
  * Allow substitution in variable_name of LaunchConfiguration substitutions (#235 <https://github.com/ros2/launch/issues/235>)
  * Add support for custom launch log file handling (#233 <https://github.com/ros2/launch/issues/233>)
  * Contributors: Michel Hidalgo, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-launch (0.8.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-launch (0.8.0-1bionic) bionic; urgency=high

  * Added SetEnvironmentVariable and UnsetEnvironmentVariable actions #164 <https://github.com/ros2/launch/issues/164> (#216 <https://github.com/ros2/launch/issues/216>)
  * Used one sentence per line in docs. (#219 <https://github.com/ros2/launch/issues/219>)
  * Added support for external ExecuteProcess output overrides. (#218 <https://github.com/ros2/launch/issues/218>)
  * Logged the launch logging config before running. (#217 <https://github.com/ros2/launch/issues/217>)
  * Fixed treating stderr output separate from stdout. (#212 <https://github.com/ros2/launch/issues/212>)
  * Replaced characters with marker when there is a decoding error. (#202 <https://github.com/ros2/launch/issues/202>)
  * Added LaunchLogger class. (#145 <https://github.com/ros2/launch/issues/145>)
  * Added test actions. (#178 <https://github.com/ros2/launch/issues/178>)
  * Fixed to close subprocess transport on execute action cleanup. (#198 <https://github.com/ros2/launch/issues/198>)
  * Updated logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)
  * Dropped legacy launch package. (#191 <https://github.com/ros2/launch/issues/191>)
  * Migrated legacy launch API tests. (#167 <https://github.com/ros2/launch/issues/167>)
  * Updated to cancel Timers on shutdown. (#181 <https://github.com/ros2/launch/issues/181>)
  * Fixed timer global init of event handler. (#184 <https://github.com/ros2/launch/issues/184>)
  * Added support for required nodes (#179 <https://github.com/ros2/launch/issues/179>)
  * Updated to ensure event handlers add event to context locals. (#177 <https://github.com/ros2/launch/issues/177>)
  * Added OnProcessStart event handler. (#171 <https://github.com/ros2/launch/issues/171>)
  * Corrected OnProcessExit typing for Callable. (#170 <https://github.com/ros2/launch/issues/170>)
  * Removed whitespace in keyword arg. (#169 <https://github.com/ros2/launch/issues/169>)
  * Contributors: Dirk Thomas, Jacob Perron, Kyle Fazzari, Michel Hidalgo, Peter Baughman, Shane Loretz, William Woodall, ivanpauno, oswinso

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 07:00:00 -0000

ros-dashing-launch (0.7.3-1bionic) bionic; urgency=high

  * Fixed deprecation warning related to collections.abc (#158 <https://github.com/ros2/launch/pull/158>)
  * Contributors: William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-launch (0.7.2-1bionic) bionic; urgency=high

  * Changed the signit handler os it executes the shutdown event synchronously (#156 <https://github.com/ros2/launch/issues/156>)
  * Contributors: Jonathan Chapple, Steven! Ragnarök, William Woodall


