=== debian/control ===
Source: ros-dashing-launch
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-dashing-ament-copyright, ros-dashing-ament-flake8, ros-dashing-ament-pep257, ros-dashing-osrf-pycommon, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ros-dashing-osrf-pycommon, ros-dashing-ros-workspace
Description: The ROS launch tool.
